summaryrefslogtreecommitdiffstats
path: root/main/qemu/qemu-guest-agent.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/qemu/qemu-guest-agent.initd')
-rw-r--r--main/qemu/qemu-guest-agent.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/main/qemu/qemu-guest-agent.initd b/main/qemu/qemu-guest-agent.initd
new file mode 100644
index 000000000..83876308a
--- /dev/null
+++ b/main/qemu/qemu-guest-agent.initd
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu-guest-agent/files/qemu-ga.init,v 1.2 2012/10/30 21:12:20 cardoe Exp $
+
+start() {
+ GA_METHOD=${GA_METHOD:-virtio-serial}
+ GA_PATH=${GA_PATH:-/dev/virtio-ports/org.qemu.guest_agent.0}
+
+ ebegin "Starting QEMU Guest Agent"
+
+ start-stop-daemon --start --pidfile /var/run/qemu-ga.pid \
+ --exec /usr/bin/qemu-ga -- -m ${GA_METHOD} -p ${GA_PATH} \
+ -l /var/log/qemu-ga.log -d
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping QEMU Guest Agent"
+
+ start-stop-daemon --stop --pidfile /var/run/qemu-ga.pid
+
+ eend $?
+}